Subject: Re: Adopt PW-MPLS MIB as PWE3 WG document

From: Luca Martini <[email-masked]>
Date: Thu, 09 May 2002 15:51:45 -0600

Before this thread gets out of control , I would like to point out ( as Mark 
already partly did ) That this is NOT the last call for PWE3 MIB !
This is just to start having some document that we can modify at will.
There is a lot of constructive work happening on this thread , and I think some 
of it should be addressed in version -01 of these documents, but please let's 
adopt these documents as WG documents , version -00.

Please remember that a WG with no documents could be disbanded because there is 
no apparent work being done there.

Luca

Thomas D. Nadeau wrote:

> 
>> It was pointed out a while back that the existing MIB framework did 
>> not appear
>> to support the binding of a VC to more than one PSN type.
> 
> 
>         This will work with the current framework with some minor 
> modifications,
> but I honestly don't see why you would want to do this. I have first of 
> all,
> never heard of any customer requirements to do this. Second, if you have
> an MPLS LDP/TE transport connection, and want an explicit primary
> path and a dynamic (best effort) backup path, why not just set up 2 TE 
> tunnel
> path options? Maybe I am wrong, but I fail to see how having a mixed PSN
> connection across the same network would buy you anything.
> 
>> The specific example cited was where you may want to simultaneously 
>> bind a MPLS VC (i.e. inner tunnel)
>> to a pair of outer tunnels with different encapsulations (i.e. MPLS 
>> and GRE), where the GRE
>> outer tunnel provided a best-effort backup for the traffic engineered 
>> MPLS outer tunnel.
>>
>> Will this be addressed by the MIBs, or is this type of functionality 
>> not in scope?
> 
> 
>         This is currently not in the scope of what we are working on, 
> and the coauthors
> have discussed  this after the question you referenced was posed.  We 
> decided to not add this
> explicitly at this point given the reasoning above.
> 
>         Since these are individual drafts, I don't see anything wrong 
> with that approach
> since we can do anything we feel is correct given our personal 
> requirements in
> individual submissions. If these were working group drafts, then we 
> would have to address
> this if the WG thought it was a viable and acceptable option.  This is 
> one of the reasons why
> these MIBs should be accepted now to get the ball rolling. As Mark just 
> pointed out, this
> will just make them more visible (not set in stone), and hopefully 
> others will start contributing
> to them and the general approach we have put forth.
> 
>         --Tom
> 
> 
> 
> 
> ------------------------------------------------------------------------
> Mathematics is the supreme nostalgia of our time.
> 
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3
>

---

From: Loa Andersson <[email-masked]>
Date: Tue, 14 May 2002 13:59:57 +0200

I would like to second Lucas position, it seems that a very good
pratice in using small steps forward is being disbanded, in favor of
"you haven't solved this particular minute problem wso we can't any
decisions".
WG documents are for the WG group to work on!

/Loa

Luca Martini wrote:

> Before this thread gets out of control , I would like to point out ( as 
> Mark already partly did ) That this is NOT the last call for PWE3 MIB !
> There is a lot of constructive work happening on this thread , and I 
> think some of it should be addressed in version -01 of these documents, 
> but please let's adopt these documents as WG documents , version -00.
> 
> Please remember that a WG with no documents could be disbanded because 
> there is no apparent work being done there.
> 
> Luca
> 
> Thomas D. Nadeau wrote:
> 
>>
>> but I honestly don't see why you would want to do this. I have first 
>> of all,
>> these MIBs should be accepted now to get the ball rolling. As Mark 
>> just pointed out, this

-- 
Loa Andersson
Chief Architect,
Utfors Research, Architecture and Future Lab (URAX)
Utfors AB
Råsundavägen 12
Box 525, 169 29 Solna
Office          +46 8 5270 2000
Office direct   +46 8 5270 5038
Mobile          +46 70 848 5038
Email           [email-masked]
WWW             www.utfors.se